<?php
/*
Plugin Name: WP Social Buttons
Plugin URI: http://comphobby.ru/
Description: Buttons of socials servises for your blog !
Author: Garmash Nikolay
Version: 2.0
Author URI: http://comphobby.ru/
*/

register_activation_hook (__FILE__, 'socialbuttons_set_options');
register_deactivation_hook (__FILE__, 'socialbuttons_unset_options'); 

function socialbuttons_set_options()
{
            $wp_socbut = array(
                        'adv_link'              =>  '1', 
                        'priority'              =>  '98', 
                        'titles_center'         =>  '0',
                        'psb_title'             =>  'Share this post for your friends:', /*psb - post share buttons*/
                        'psb_title_size'        =>  'h3',
                        'psb_style'             =>  'mini',
                        'psb_size'              =>  '4',
                        'psb_img_width'         =>  '40',
                        'psb_img_height'        =>  '40', 
                        'psb_twitter_state'     =>  '1',
                        'psb_vkontakte_state'   =>  '1',
                        'psb_facebook_state'    =>  '1',
                        'psb_livejournal_state' =>  '1',
                        'psb_buzz_state'        =>  '1',
                        'psb_moymir_state'      =>  '1',
                        'psb_yaru_state'        =>  '1',
                        'psb_liru_state'        =>  '1',
                        'psb_blogger_state'     =>  '1', 
                        'yaru_img_mini'         =>  get_option('home').'/wp-content/plugins/socialbuttons/images/yaru_mini.png',
                        'liru_img_mini'         =>  get_option('home').'/wp-content/plugins/socialbuttons/images/liru_mini.png',
                        'blogger_img_mini'      =>  get_option('home').'/wp-content/plugins/socialbuttons/images/blogger_mini.png',
                        'twitter_img_mini'      =>  get_option('home').'/wp-content/plugins/socialbuttons/images/twitter_mini.png',
                        'vkontakte_img_mini'    =>  get_option('home').'/wp-content/plugins/socialbuttons/images/vk_mini.png',
                        'facebook_img_mini'     =>  get_option('home').'/wp-content/plugins/socialbuttons/images/fb_mini.png',
                        'livejournal_img_mini'  =>  get_option('home').'/wp-content/plugins/socialbuttons/images/lj_mini.png',
                        'buzz_img_mini'         =>  get_option('home').'/wp-content/plugins/socialbuttons/images/buzz_mini.png',
                        'moymir_img_mini'       =>  get_option('home').'/wp-content/plugins/socialbuttons/images/moymir_mini.png',
                        'frienfeed_img_mini'    =>  get_option('home').'/wp-content/plugins/socialbuttons/images/ff_mini.png', 
                        'blogger_img_full'      =>  get_option('home').'/wp-content/plugins/socialbuttons/images/blogger_full.png',
                        'yaru_img_full'         =>  get_option('home').'/wp-content/plugins/socialbuttons/images/yaru_full.png',
                        'liru_img_full'         =>  get_option('home').'/wp-content/plugins/socialbuttons/images/liru_full.png',
                        'twitter_img_full'      =>  get_option('home').'/wp-content/plugins/socialbuttons/images/twitter_full.png',
                        'vkontakte_img_full'    =>  get_option('home').'/wp-content/plugins/socialbuttons/images/vk_full.png',
                        'facebook_img_full'     =>  get_option('home').'/wp-content/plugins/socialbuttons/images/fb_full.png',
                        'livejournal_img_full'  =>  get_option('home').'/wp-content/plugins/socialbuttons/images/lj_full.png',
                        'buzz_img_full'         =>  get_option('home').'/wp-content/plugins/socialbuttons/images/buzz_full.png',
                        'moymir_img_full'       =>  get_option('home').'/wp-content/plugins/socialbuttons/images/moymir_full.png',
                        'friendfeed_img_full'   =>  get_option('home').'/wp-content/plugins/socialbuttons/images/ff_full.png',
                        'twitter_accaunt'       =>  '',
                        'vkontakte_accaunt'     =>  '', 
                        'facebook_accaunt'      =>  '',
                        'livejournal_accaunt'   =>  '',
                        'buzz_accaunt'          =>  '',  
                        'moymir_accaunt'        =>  '', 
                        'friendfeed_accaunt'    =>  '',
                        'ib_title'              =>  'Friend me:',       /*ib - invite button */ 
                        'ib_title_size'         =>  'h3',   
                        'ib_style'              =>  'full',
                        'ib_size'               =>  '3',
                        'ib_img_width'          =>  '85',
                        'ib_img_height'         =>  '22',        
                        'ib_twitter_state'      =>  '0',
                        'ib_vkontakte_state'    =>  '0', 
                        'ib_facebook_state'     =>  '0', 
                        'ib_livejournal_state'  =>  '0',
                        'ib_buzz_state'         =>  '0', 
                        'ib_moymir_state'       =>  '0', 
                        'ib_friendfeed_state'   =>  '0'                
        );
        
        add_option('wp_socbut',$wp_socbut);    
}

function socialbuttons_unset_options()
{
    delete_option('wp_socbut');
}

class socialsbuttons
{
    function socialsbuttons()
    {
        load_plugin_textdomain('socialsbuttons', 'wp-content/plugins/socialbuttons');
        
        $wp_socbut = array(
                        'adv_link'              =>  '1',
                        'priority'              =>  '98', 
                        'titles_center'         =>  '0',
                        'psb_title'             =>  'Share this post for your friends:', /*psb - post share buttons*/
                        'psb_title_size'        =>  'h3',
                        'psb_style'             =>  'mini',
                        'psb_size'              =>  '4',
                        'psb_img_width'         =>  '40',
                        'psb_img_height'        =>  '40', 
                        'psb_twitter_state'     =>  '1',
                        'psb_vkontakte_state'   =>  '1',
                        'psb_facebook_state'    =>  '1',
                        'psb_livejournal_state' =>  '1',
                        'psb_buzz_state'        =>  '1',
                        'psb_moymir_state'      =>  '1',
                        'psb_yaru_state'        =>  '1',
                        'psb_liru_state'        =>  '1',
                        'psb_blogger_state'     =>  '1', 
                        'yaru_img_mini'         =>  get_option('home').'/wp-content/plugins/socialbuttons/images/yaru_mini.png',
                        'liru_img_mini'         =>  get_option('home').'/wp-content/plugins/socialbuttons/images/liru_mini.png',
                        'blogger_img_mini'      =>  get_option('home').'/wp-content/plugins/socialbuttons/images/blogger_mini.png',
                        'twitter_img_mini'      =>  get_option('home').'/wp-content/plugins/socialbuttons/images/twitter_mini.png',
                        'vkontakte_img_mini'    =>  get_option('home').'/wp-content/plugins/socialbuttons/images/vk_mini.png',
                        'facebook_img_mini'     =>  get_option('home').'/wp-content/plugins/socialbuttons/images/fb_mini.png',
                        'livejournal_img_mini'  =>  get_option('home').'/wp-content/plugins/socialbuttons/images/lj_mini.png',
                        'buzz_img_mini'         =>  get_option('home').'/wp-content/plugins/socialbuttons/images/buzz_mini.png',
                        'moymir_img_mini'       =>  get_option('home').'/wp-content/plugins/socialbuttons/images/moymir_mini.png',
                        'frienfeed_img_mini'    =>  get_option('home').'/wp-content/plugins/socialbuttons/images/ff_mini.png', 
                        'blogger_img_full'      =>  get_option('home').'/wp-content/plugins/socialbuttons/images/blogger_full.png',
                        'yaru_img_full'         =>  get_option('home').'/wp-content/plugins/socialbuttons/images/yaru_full.png',
                        'liru_img_full'         =>  get_option('home').'/wp-content/plugins/socialbuttons/images/liru_full.png',
                        'twitter_img_full'      =>  get_option('home').'/wp-content/plugins/socialbuttons/images/twitter_full.png',
                        'vkontakte_img_full'    =>  get_option('home').'/wp-content/plugins/socialbuttons/images/vk_full.png',
                        'facebook_img_full'     =>  get_option('home').'/wp-content/plugins/socialbuttons/images/fb_full.png',
                        'livejournal_img_full'  =>  get_option('home').'/wp-content/plugins/socialbuttons/images/lj_full.png',
                        'buzz_img_full'         =>  get_option('home').'/wp-content/plugins/socialbuttons/images/buzz_full.png',
                        'moymir_img_full'       =>  get_option('home').'/wp-content/plugins/socialbuttons/images/moymir_full.png',
                        'friendfeed_img_full'   =>  get_option('home').'/wp-content/plugins/socialbuttons/images/ff_full.png',
                        'twitter_accaunt'       =>  '',
                        'vkontakte_accaunt'     =>  '', 
                        'facebook_accaunt'      =>  '',
                        'livejournal_accaunt'   =>  '',
                        'buzz_accaunt'          =>  '',  
                        'moymir_accaunt'        =>  '', 
                        'friendfeed_accaunt'    =>  '',
                        'ib_title'              =>  'Friend me:',       /*ib - invite button */ 
                        'ib_title_size'         =>  'h3',   
                        'ib_style'              =>  'full',
                        'ib_size'               =>  '3',
                        'ib_img_width'          =>  '85',
                        'ib_img_height'         =>  '22',        
                        'ib_twitter_state'      =>  '0',
                        'ib_vkontakte_state'    =>  '0', 
                        'ib_facebook_state'     =>  '0', 
                        'ib_livejournal_state'  =>  '0',
                        'ib_buzz_state'         =>  '0', 
                        'ib_moymir_state'       =>  '0', 
                        'ib_friendfeed_state'   =>  '0'                 
        );
        
        add_option('wp_socbut',$wp_socbut);    
                        
        add_filter('the_content', array(&$this,'add_buttons'),99);
        add_action('admin_menu',  array (&$this,  'admin') );
    }

    function add_buttons($content)
    {
        $output = '';
        if(is_single())
        {    
            $wp_socbut = get_option('wp_socbut');
            $titles_center_start = '';
            $titles_center_end = '';
            if($wp_socbut['titles_center']==1)
            {
                $titles_center_start = '<center>';
                $titles_center_end = '</center>';
            }
                        
            $output .= '<noindex><div style="margin-top:20px; margin-bottom:3px;"><!--Share Post Buttons-->'.$titles_center_start.'<'.$wp_socbut['psb_title_size'].' style="color:#5e5e5e;">'.$wp_socbut['psb_title'].'</'.$wp_socbut['psb_title_size'].'>'.$titles_center_end.'<center>';  
            $output .= '<table><tr>';
            if($wp_socbut['psb_twitter_state']=='1'){
                
            $output .= '<td style=" vertical-align: middle; padding:0 3px 0 0;"><a rel="nofollow" target="_blank" href="http://twitter.com/home?status=RT @'.$wp_socbut['twitter_accaunt'].' '.the_title('','',false).':'.get_permalink().'" title="'.translate("Share in Twitter","socialbuttons").'"><img src="'.$wp_socbut['twitter_img_'.$wp_socbut['psb_style']].'" width="'.$wp_socbut['psb_img_width'].'" height="'.$wp_socbut['psb_img_height'].'"></a></td>';
            } if($wp_socbut['psb_vkontakte_state']=='1'){ 
            
            $output.='<td style=" vertical-align: middle; padding:0 3px 0 0;"><a href="http://vkontakte.ru/share.php?url='.get_permalink().'" target="_blank" rel="nofollow"><img src="'.$wp_socbut['vkontakte_img_'.$wp_socbut['psb_style']].'" width="'.$wp_socbut['psb_img_width'].'" height="'.$wp_socbut['psb_img_height'].'" title="'.translate("Share in Vkontakte").'"></a></td>';
            } if($wp_socbut['psb_facebook_state']=='1'){ 

            $output.='<td style=" vertical-align: middle; padding:0 3px 0 0;"><a rel="nofollow" target="blank" href="http://www.facebook.com/sharer.php?u='.get_permalink().'"><img src="'.$wp_socbut['facebook_img_'.$wp_socbut['psb_style']].'" width="'.$wp_socbut['psb_img_width'].'" height="'.$wp_socbut['psb_img_height'].'" title="'.translate("Share in Facebook").'"></a></td>';
            } if($wp_socbut['psb_buzz_state']=='1'){ 

            $output.='<td style=" vertical-align: middle; padding:0 3px 0 0;"><a href="http://www.google.com/reader/link?url='.get_permalink().'&title='.the_title('','',false).'&srcURL='.get_option('home').'" rel="nofollow" target="_blank"><img src="'.$wp_socbut['buzz_img_'.$wp_socbut['psb_style']].'" width="'.$wp_socbut['psb_img_width'].'" height="'.$wp_socbut['psb_img_height'].'" title="'.translate("Share in Google Buzz").'"></a></td>';
            } if($wp_socbut['psb_livejournal_state']=='1'){ 

            $output.='<td style=" vertical-align: middle; padding:0 3px 0 0;"><a rel="nofollow" href="http://www.livejournal.com/update.bml?event='.get_permalink().'&subject='.the_title('','',false).'" target="_blank" title="'.translate("Share in LiveJournal").'"><img src="'.$wp_socbut['livejournal_img_'.$wp_socbut['psb_style']].'" width="'.$wp_socbut['psb_img_width'].'" height="'.$wp_socbut['psb_img_height'].'"></a></td>';
            } if($wp_socbut['psb_moymir_state']=='1'){ 

            $output.='<td style=" vertical-align: middle; padding:0 3px 0 0;"><a target="_blank" rel="nofollow" href="http://connect.mail.ru/share?share_url='.get_permalink().'"><img src="'.$wp_socbut['moymir_img_'.$wp_socbut['psb_style']].'" width="'.$wp_socbut['psb_img_width'].'" height="'.$wp_socbut['psb_img_height'].'" title="'.translate("Share in Moy Mir").'"></a></td>';
            }  if($wp_socbut['psb_yaru_state']=='1'){
        
            $output.='<td style=" vertical-align: middle; padding:0 3px 0 0;"><a target="_blank" rel="nofollow" href="http://my.ya.ru/posts_add_link.xml?title='.the_title('','',false).'&URL='.get_permalink().'"><img src="'.$wp_socbut['yaru_img_'.$wp_socbut['psb_style']].'" width="'.$wp_socbut['psb_img_width'].'" height="'.$wp_socbut['psb_img_height'].'" title="'.translate("Share in YaRU").'"></a></td>';
            }  if($wp_socbut['psb_liru_state']=='1'){
            $output.='<td style=" vertical-align: middle; padding:0 3px 0 0;"><a target="_blank" rel="nofollow" href="http://www.liveinternet.ru/journal_post.php?action=l_add&amp;cnurl='.get_permalink().'"><img src="'.$wp_socbut['liru_img_'.$wp_socbut['psb_style']].'" width="'.$wp_socbut['psb_img_width'].'" height="'.$wp_socbut['psb_img_height'].'" title="'.translate("Share in LiveInternet").'"></a></td>';
            }  if($wp_socbut['psb_blogger_state']=='1'){
            $output.='<td style=" vertical-align: middle; padding:0 3px 0 0;"><a target="_blank" rel="nofollow" href="http://www.blogger.com/blog_this.pyra?t&amp;u=&amp;n='.the_title('','',false).'&amp;a=ADD_SERVICE_FLAG&amp;passive=true&amp;alinsu=0&amp;aplinsu=0&amp;alwf=true&amp;hl=ru&amp;skipvpage=true&amp;rm=false&amp;showra=1&amp;fpui=2&amp;naui=8"><img src="'.$wp_socbut['blogger_img_'.$wp_socbut['psb_style']].'" width="'.$wp_socbut['psb_img_width'].'" height="'.$wp_socbut['psb_img_height'].'" title="'.translate("Share in Blogger").'"></a></td>';
            }

            $output.='</tr></table></center></div></noindex>';
            if($wp_socbut['adv_link']==1)
            {
            $output.='<center><div style="font-size:7pt"><a href="http://comphobby.ru/social-buttons/">&#8593;'.translate('How to set these buttons?','socialsbuttons').'&#8593;</a></div></center>';
            }
            
            $output.='<!--Invite Buttons-->'.$titles_center_start.'<'.$wp_socbut['ib_title_size'].' style="color:#5e5e5e;">'.$wp_socbut['ib_title'].'</'.$wp_socbut['ib_title_size'].'>'.$titles_center_end.'<noindex><div style="margin-top:0px; margin-bottom:30px;"><center>';
            
            if($wp_socbut['ib_twitter_state']=='1'){
            $output.='<a rel="nofollow" target="_blank" href="http://twitter.com/'.$wp_socbut['twitter_accaunt'].'" title="'.translate("Follow me in Twitter").'"><img src="'.$wp_socbut['twitter_img_'.$wp_socbut['ib_style']].'" width="'.$wp_socbut['ib_img_width'].'" height="'.$wp_socbut['ib_img_height'].'"></a>';
            } if($wp_socbut['ib_vkontakte_state']=='1'){ 
            
            $output.='<a href="http://vkontakte.ru/'.$wp_socbut['vkontakte_accaunt'].'" target="_blank" rel="nofollow"><img src="'.$wp_socbut['vkontakte_img_'.$wp_socbut['ib_style']].'" width="'.$wp_socbut['ib_img_width'].'" height="'.$wp_socbut['ib_img_height'].'" title="'.translate("Friend me in Vkontakte").'"></a>';
            } if($wp_socbut['ib_facebook_state']=='1'){ 

            $output.='<a rel="nofollow" target="blank" href="http://www.facebook.com/profile.php?id='.$wp_socbut['facebook_accaunt'].'"><img src="'.$wp_socbut['facebook_img_'.$wp_socbut['ib_style']].'" width="'.$wp_socbut['ib_img_width'].'" height="'.$wp_socbut['ib_img_height'].'" title="'.translate("Friend me in Facebook").'"></a>';
            } if($wp_socbut['ib_buzz_state']=='1'){ 

            $output.='<a href="http://www.google.com/profiles/'.$wp_socbut['buzz_accaunt'].'" rel="nofollow" target="_blank"><img src="'.$wp_socbut['buzz_img_'.$wp_socbut['ib_style']].'" width="'.$wp_socbut['ib_img_width'].'" height="'.$wp_socbut['ib_img_height'].'" title="'.translate("Follow me in Google Buzz").'"></a>';
            } if($wp_socbut['ib_livejournal_state']=='1'){ 

            $output.='<a rel="nofollow" href="http://'.$wp_socbut['livejournal_accaunt'].'.livejournal.com/" target="_blank" title="'.translate("Friend me in LiveJournal").'"><img src="'.$wp_socbut['livejournal_img_'.$wp_socbut['ib_style']].'" width="'.$wp_socbut['ib_img_width'].'" height="'.$wp_socbut['ib_img_height'].'"></a>';
            } if($wp_socbut['ib_moymir_state']=='1'){

            $output.='<a rel="nofollow" target="_blank" href="http://my.mail.ru/mail/'.$wp_socbut['moymir_accaunt'].'"><img src="'.$wp_socbut['moymir_img_'.$wp_socbut['ib_style']].'" width="'.$wp_socbut['ib_img_width'].'" height="'.$wp_socbut['ib_img_height'].'" title="'.translate("Friend me in Moy Mir").'"></a>';
            } if($wp_socbut['ib_friendfeed_state']=='1'){

            $output.='<a rel="nofollow" target="_blank" href="http://friendfeed.ru/'.$wp_socbut['friendfeed_accaunt'].'"><img src="'.$wp_socbut['friendfeed_img_'.$wp_socbut['ib_style']].'" width="'.$wp_socbut['ib_img_width'].'" height="'.$wp_socbut['ib_img_height'].'" title="'.translate("Friend me in FriendFeed").'"></a>';
            }
            $output.='</center></div></noindex>';
            
       }
       $content = $content.$output;
       return $content;
    }
    
    function admin()
    {
          if (function_exists('add_options_page'))
          {
                add_options_page('SocialsButton Options','SocialsButtons', 8, basename(__FILE__),array (&$this, 'admin_form') );
          }
    }
    
    function admin_form()
    {
        $wp_socbut = get_option('wp_socbut');
               
        if(isset($_POST['submit']))
        {  
            if(function_exists('current_user_can') && !current_user_can('manage_options') ) die ( _e('Hacker? GET OUT!!!', 'SocialsButtons') );

            if(function_exists ('check_admin_referer') )
            {
                check_admin_referer('socialsbuttons_form');
            }

            (isset($_POST['adv_link'])) ? $wp_socbut['adv_link'] = $_POST['adv_link'] : $wp_socbut['adv_link'] = '0'; 
            (isset($_POST['titles_center'])) ? $wp_socbut['titles_center'] = $_POST['titles_center'] : $wp_socbut['titles_center'] = '0'; 
            (isset($_POST['yaru'])) ? $wp_socbut['psb_yaru_state'] = $_POST['yaru'] : $wp_socbut['psb_yaru_state'] = '0';
            (isset($_POST['liru'])) ? $wp_socbut['psb_liru_state'] = $_POST['liru'] : $wp_socbut['psb_liru_state'] = '0';
            (isset($_POST['blogger'])) ? $wp_socbut['psb_blogger_state'] = $_POST['blogger'] : $wp_socbut['psb_blogger_state'] = '0';
            (isset($_POST['twitter'])) ? $wp_socbut['psb_twitter_state'] = $_POST['twitter'] : $wp_socbut['psb_twitter_state'] = '0';
            (isset($_POST['vkontakte'])) ? $wp_socbut['psb_vkontakte_state'] = $_POST['vkontakte'] : $wp_socbut['psb_vkontakte_state'] = '0';
            (isset($_POST['facebook'])) ? $wp_socbut['psb_facebook_state'] = $_POST['facebook'] : $wp_socbut['psb_facebook_state'] = '0';
            (isset($_POST['livejournal'])) ? $wp_socbut['psb_livejournal_state'] = $_POST['livejournal'] : $wp_socbut['psb_livejournal_state'] = '0';
            (isset($_POST['buzz'])) ? $wp_socbut['psb_buzz_state'] = $_POST['buzz'] : $wp_socbut['psb_buzz_state'] = '0';  
            (isset($_POST['mmir'])) ? $wp_socbut['psb_moymir_state'] = $_POST['mmir'] : $wp_socbut['psb_moymir_state'] = '0'; 
            $wp_socbut['psb_title'] = trim($_POST['add_post_title']);    
            $wp_socbut['psb_title_size'] = trim($_POST['add_post_title_size']);        
            $wp_socbut['psb_style'] = $_POST['psb_button_style'];
            $wp_socbut['psb_size'] = $_POST['psb_button_size'];
            
            (isset($_POST['ib_twitter_state'])) ? $wp_socbut['ib_twitter_state'] = $_POST['ib_twitter_state'] : $wp_socbut['ib_twitter_state'] = '0';
            (isset($_POST['ib_vkontakte_state'])) ? $wp_socbut['ib_vkontakte_state'] = $_POST['ib_vkontakte_state'] : $wp_socbut['ib_vkontakte_state'] = '0';
            (isset($_POST['ib_facebook_state'])) ? $wp_socbut['ib_facebook_state'] = $_POST['ib_facebook_state'] : $wp_socbut['ib_facebook_state'] = '0';
            (isset($_POST['ib_livejournal_state'])) ? $wp_socbut['ib_livejournal_state'] = $_POST['ib_livejournal_state'] : $wp_socbut['ib_livejournal_state'] = '0';
            (isset($_POST['ib_buzz_state'])) ? $wp_socbut['ib_buzz_state'] = $_POST['ib_buzz_state'] : $wp_socbut['ib_buzz_state'] = '0';  
            (isset($_POST['ib_moymir_state'])) ? $wp_socbut['ib_moymir_state'] = $_POST['ib_moymir_state'] : $wp_socbut['ib_moymir_state'] = '0'; 
            (isset($_POST['ib_friendfeed_state'])) ? $wp_socbut['ib_friendfeed_state'] = $_POST['ib_friendfeed_state'] : $wp_socbut['ib_friendfeed_state'] = '0'; 
            $wp_socbut['ib_title'] = trim($_POST['ib_title']);     
            $wp_socbut['ib_title_size'] = trim($_POST['ib_title_size']);       
            $wp_socbut['ib_style'] = $_POST['ib_button_style'];
            $wp_socbut['ib_size'] = $_POST['ib_button_size'];
            $wp_socbut['twitter_accaunt'] = trim($_POST['twitter_accaunt']);
            $wp_socbut['vkontakte_accaunt'] = trim($_POST['vkontakte_accaunt']);
            $wp_socbut['facebook_accaunt'] = trim($_POST['facebook_accaunt']);
            $wp_socbut['buzz_accaunt'] = trim($_POST['buzz_accaunt']);
            $wp_socbut['livejournal_accaunt'] = trim($_POST['livejournal_accaunt']);
            $wp_socbut['friendfeed_accaunt'] = trim($_POST['friendfeed_accaunt']);
            $wp_socbut['moymir_accaunt'] = trim($_POST['moymir_accaunt']);
            
            switch($wp_socbut['psb_style'])
            {
                case 'mini':
                {
                    switch($_POST['psb_button_size'])
                    {
                        case '1':
                        {
                            $wp_socbut['psb_img_width'] = '20';
                            $wp_socbut['psb_img_height'] = '20';  
                            break;  
                        }
                        case '2':
                        {
                            $wp_socbut['psb_img_width'] = '25';
                            $wp_socbut['psb_img_height'] = '25';    
                            break;
                        }
                        case '3':
                        {
                            $wp_socbut['psb_img_width'] = '30';
                            $wp_socbut['psb_img_height'] = '30';    
                            break;
                        }
                        case '4':
                        {
                            $wp_socbut['psb_img_width'] = '40';
                            $wp_socbut['psb_img_height'] = '40';
                            break;    
                        }
                        case '5':
                        {
                            $wp_socbut['psb_img_width'] = '50';
                            $wp_socbut['psb_img_height'] = '50'; 
                            break;   
                        }
                    }
                    break;    
                }
                case 'full':
                {
                    switch($_POST['psb_button_size'])
                    {
                        case '1':
                        {
                            $wp_socbut['psb_img_width'] = '70';
                            $wp_socbut['psb_img_height'] = '18'; 
                            break;   
                        }
                        case '2':
                        {
                            $wp_socbut['psb_img_width'] = '80';
                            $wp_socbut['psb_img_height'] = '21';    
                            break;
                        }
                        case '3':
                        {
                            $wp_socbut['psb_img_width'] = '85';
                            $wp_socbut['psb_img_height'] = '22';    
                            break;
                        }
                        case '4':
                        {
                            $wp_socbut['psb_img_width'] = '110';
                            $wp_socbut['psb_img_height'] = '29';    
                            break;
                        }
                        case '5':
                        {
                            $wp_socbut['psb_img_width'] = '150';
                            $wp_socbut['psb_img_height'] = '40';    
                            break;
                        }
                    }    
                }
            }
            
            switch($wp_socbut['ib_style'])
            {
                case 'mini':
                {
                    switch($_POST['ib_button_size'])
                    {
                        case '1':
                        {
                            $wp_socbut['ib_img_width'] = '20';
                            $wp_socbut['ib_img_height'] = '20';  
                            break;  
                        }
                        case '2':
                        {
                            $wp_socbut['ib_img_width'] = '25';
                            $wp_socbut['ib_img_height'] = '25';    
                            break;
                        }
                        case '3':
                        {
                            $wp_socbut['ib_img_width'] = '30';
                            $wp_socbut['ib_img_height'] = '30';    
                            break;
                        }
                        case '4':
                        {
                            $wp_socbut['ib_img_width'] = '40';
                            $wp_socbut['ib_img_height'] = '40';
                            break;    
                        }
                        case '5':
                        {
                            $wp_socbut['ib_img_width'] = '50';
                            $wp_socbut['ib_img_height'] = '50'; 
                            break;   
                        }
                    }
                    break;    
                }
                case 'full':
                {
                    switch($_POST['ib_button_size'])
                    {
                        case '1':
                        {
                            $wp_socbut['ib_img_width'] = '70';
                            $wp_socbut['ib_img_height'] = '18'; 
                            break;   
                        }
                        case '2':
                        {
                            $wp_socbut['ib_img_width'] = '80';
                            $wp_socbut['ib_img_height'] = '21';    
                            break;
                        }
                        case '3':
                        {
                            $wp_socbut['ib_img_width'] = '85';
                            $wp_socbut['ib_img_height'] = '22';    
                            break;
                        }
                        case '4':
                        {
                            $wp_socbut['ib_img_width'] = '110';
                            $wp_socbut['ib_img_height'] = '29';    
                            break;
                        }
                        case '5':
                        {
                            $wp_socbut['ib_img_width'] = '150';
                            $wp_socbut['ib_img_height'] = '40';    
                            break;
                        }
                    }    
                }
            }
            
            update_option('wp_socbut',$wp_socbut);
        }
        ?>
        
        <div class='wrap'>
        <h2><?php _e('Socials Buttons Setings', 'socialsbuttons'); ?></h2>

        <form name="socialsbutton" method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>?page=socials.php&amp;updated=true">

            <?php
                if (function_exists('wp_nonce_field') )
                {
                    wp_nonce_field('socialsbuttons_form');
                }
            ?>
            <table class="form-table">
                <tr valign="top" > 
                    <th scope="row"><? _e('Center titles','socialsbuttons');?></th>
                <td>
                    <input type="checkbox" name="titles_center" <?php if($wp_socbut['titles_center']==1) echo "checked='checked'"?> value="1"/> 
                </td>
                <td></td>
                </tr>
                
                <tr valign="top" > 
                    <th scope="row"><? _e('Plugin page link','socialsbuttons');?></th>
                <td>
                    <input type="checkbox" name="adv_link" <?php if($wp_socbut['adv_link']==1) echo "checked='checked'"?> value="1"/> 
                </td>
                <td>
                    <label><? _e('Dont hide this link, please','socialsbuttons');?></label>
                </td>
                </tr>
                
            </table>
            <h3><? _e('Public buttons','socialsbuttons');?></h3>
            <table class="form-table">
                <tr valign="top" >  
                    <th scope="row"><?php _e('Title to public buttons', 'socialsbuttons'); ?></th>
                    <td>
                        <input type="text" name="add_post_title" value="<?=$wp_socbut['psb_title']?>" size="80" />
                    </td>
                </tr>
                
                <tr valign="top" >  
                    <th scope="row"><?php _e('Size of title to public buttons', 'socialsbuttons'); ?></th>
                    <td>
                        <select name="add_post_title_size">
                            <option value="h1" <? ($wp_socbut['psb_title_size']=='h1') ? _e('selected', 'socialsbuttons'):_e('', 'socialsbuttons'); ?>>h1</option>
                            <option value="h2" <? ($wp_socbut['psb_title_size']=='h2') ? _e('selected', 'socialsbuttons'):_e('', 'socialsbuttons'); ?>>h2</option> 
                            <option value="h3" <? ($wp_socbut['psb_title_size']=='h3') ? _e('selected', 'socialsbuttons'):_e('', 'socialsbuttons'); ?>>h3</option> 
                            <option value="h4" <? ($wp_socbut['psb_title_size']=='h4') ? _e('selected', 'socialsbuttons'):_e('', 'socialsbuttons'); ?>>h4</option> 
                            <option value="h5" <? ($wp_socbut['psb_title_size']=='h5') ? _e('selected', 'socialsbuttons'):_e('', 'socialsbuttons'); ?>>h5</option>                                           
                            <option value="h6" <? ($wp_socbut['psb_title_size']=='h6') ? _e('selected', 'socialsbuttons'):_e('', 'socialsbuttons'); ?>>h6</option> 
                        </select>
                    </td>
                </tr>
                
                <tr valign="top" >
                    <th scope="row"><?php _e('Twitter', 'socialsbuttons'); ?></th>
                    <td>
                        <input type="checkbox" name="twitter" <?php if($wp_socbut['psb_twitter_state']==1) echo "checked='checked'"?> value="1"/>
                    </td>
                </tr>
                
                <tr valign="top">  
                    <th scope="row"><?php _e('VKontakte', 'socialsbuttons'); ?></th>
                    <td>
                        <input type="checkbox" name="vkontakte" <?php if($wp_socbut['psb_vkontakte_state']==1) echo "checked='checked'"?> value="1"/>
                    </td>
                </tr>
                
                <tr valign="top">
                    <th scope="row"><?php _e('Facebook', 'socialsbuttons'); ?></th>
                    <td>
                        <input type="checkbox" name="facebook" <?php if($wp_socbut['psb_facebook_state']==1) echo "checked='checked'"?> value="1"/>
                    </td>
                </tr>
                
                <tr valign="top">
                    <th scope="row"><?php _e('LiveJournal', 'socialsbuttons'); ?></th>
                    <td>
                        <input type="checkbox" name="livejournal" <?php if($wp_socbut['psb_livejournal_state']==1) echo "checked='checked'"?> value="1"/>
                    </td>
                </tr>
                
                <tr valign="top">
                    <th scope="row"><?php _e('Google Buzz', 'socialsbuttons'); ?></th>
                    <td>
                        <input type="checkbox" name="buzz" <?php if($wp_socbut['psb_buzz_state']==1) echo "checked='checked'"?> value="1"/>
                    </td>
                </tr>
                
                <tr valign="top">
                    <th scope="row"><?php _e('Moy Mir', 'socialsbuttons'); ?></th>
                    <td>
                        <input type="checkbox" name="mmir" <?php if($wp_socbut['psb_moymir_state']==1) echo "checked='checked'"?> value="1"/>
                    </td>
                </tr>
                
                <tr valign="top">
                    <th scope="row"><?php _e('YaRU', 'socialsbuttons'); ?></th>
                    <td>
                        <input type="checkbox" name="yaru" <?php if($wp_socbut['psb_yaru_state']==1) echo "checked='checked'"?> value="1"/>
                    </td>
                </tr>
                
                <tr valign="top">
                    <th scope="row"><?php _e('LiveInternet', 'socialsbuttons'); ?></th>
                    <td>
                        <input type="checkbox" name="liru" <?php if($wp_socbut['psb_liru_state']==1) echo "checked='checked'"?> value="1"/>
                    </td>
                </tr>
                
                <tr valign="top">
                    <th scope="row"><?php _e('Blogger', 'socialsbuttons'); ?></th>
                    <td>
                        <input type="checkbox" name="blogger" <?php if($wp_socbut['psb_blogger_state']==1) echo "checked='checked'"?> value="1"/>
                    </td>
                </tr>
                
                <tr valign="top">
                    <th scope="row"><?php _e('Images Style', 'socialsbuttons'); ?></th>
                    <td>
                        <input type="radio" name="psb_button_style" value="mini" <? if($wp_socbut['psb_style']=='mini') echo "checked='checked'";?> />
                        <img src="<?=$wp_socbut['twitter_img_mini']?>" width="30" height="30" />

                        <input type="radio" name="psb_button_style" value="full" <? if($wp_socbut['psb_style']=='full') echo "checked='checked'";?> />
                        <img src="<?=$wp_socbut['twitter_img_full']?>" width="60" height="20" /> 
                    </td>
                </tr>

                <tr valign="top" >  
                    <th scope="row"><?php _e('Images Size', 'socialsbuttons'); ?></th>
                    <td>
                        <input type="radio" name="psb_button_size" value="1" <?if($wp_socbut['psb_size']=='1') echo "checked='checked'"?> />
                        <img src="<?=$wp_socbut['twitter_img_mini']?>" width="20" height="20" />
                        <img src="<?=$wp_socbut['twitter_img_full']?>" width="70" height="20" />
                        <h5></h5> 
                        <input type="radio" name="psb_button_size" value="2" <?if($wp_socbut['psb_size']=='2') echo "checked='checked'"?> />
                        <img src="<?=$wp_socbut['twitter_img_mini']?>" width="25" height="25" />
                        <img src="<?=$wp_socbut['twitter_img_full']?>" width="80" height="21" />
                        <h5></h5> 
                        <input type="radio" name="psb_button_size" value="3" <?if($wp_socbut['psb_size']=='3') echo "checked='checked'"?> />
                        <img src="<?=$wp_socbut['twitter_img_mini']?>" width="30" height="30" />
                        <img src="<?=$wp_socbut['twitter_img_full']?>" width="85" height="22" />
                        <h5></h5> 
                        <input type="radio" name="psb_button_size" value="4" <?if($wp_socbut['psb_size']=='4') echo "checked='checked'"?> />
                        <img src="<?=$wp_socbut['twitter_img_mini']?>" width="40" height="40" />
                        <img src="<?=$wp_socbut['twitter_img_full']?>" width="110" height="29" />
                        <h5></h5> 
                        <input type="radio" name="psb_button_size" value="5" <?if($wp_socbut['psb_size']=='5') echo "checked='checked'"?> />
                        <img src="<?=$wp_socbut['twitter_img_mini']?>" width="50" height="50" />
                        <img src="<?=$wp_socbut['twitter_img_full']?>" width="140" height="40" />
                    </td>
                </tr>   
            </table>
            <h3><?_e("Invite Buttons")?></h3>
           <table class="form-table">
                <tr valign="top" >  
                    <th scope="row"><?php _e('Title to invite buttons', 'socialsbuttons'); ?></th>
                    <td>
                        <input type="text" name="ib_title" value="<?=$wp_socbut['ib_title']?>" size="80" />
                    </td>
                </tr>
                
                <tr valign="top" >  
                    <th scope="row"><?php _e('Size of title to public buttons', 'socialsbuttons'); ?></th>
                    <td>
                        <select name="ib_title_size">
                            <option value="h1" <? ($wp_socbut['ib_title_size']=='h1') ? _e('selected', 'socialsbuttons'):_e('', 'socialsbuttons'); ?>>h1</option>
                            <option value="h2" <? ($wp_socbut['ib_title_size']=='h2') ? _e('selected', 'socialsbuttons'):_e('', 'socialsbuttons'); ?>>h2</option> 
                            <option value="h3" <? ($wp_socbut['ib_title_size']=='h3') ? _e('selected', 'socialsbuttons'):_e('', 'socialsbuttons'); ?>>h3</option> 
                            <option value="h4" <? ($wp_socbut['ib_title_size']=='h4') ? _e('selected', 'socialsbuttons'):_e('', 'socialsbuttons'); ?>>h4</option> 
                            <option value="h5" <? ($wp_socbut['ib_title_size']=='h5') ? _e('selected', 'socialsbuttons'):_e('', 'socialsbuttons'); ?>>h5</option>                                           
                            <option value="h6" <? ($wp_socbut['ib_title_size']=='h6') ? _e('selected', 'socialsbuttons'):_e('', 'socialsbuttons'); ?>>h6</option> 
                        </select>
                    </td>
                </tr>
                
                <tr valign="top" >  
                    <th scope="row"><?php _e('Twitter', 'socialsbuttons'); ?></th>
                    <td>
                       <input type="checkbox" name="ib_twitter_state" <?php if($wp_socbut['ib_twitter_state']==1) echo "checked='checked'"?> value="1"/>
                    </td>
                </tr>
                <tr valign="top" >  
                    <th scope="row"><?php _e('Twitter accaunt', 'socialsbuttons'); ?></th>
                    <td>
                        <input type="text" name="twitter_accaunt" value="<?=$wp_socbut['twitter_accaunt']?>" size="80" />  (example: _snatis)
                    </td>
                </tr>
                 
                <tr valign="top" >  
                    <th scope="row"><?php _e('Vkontakte', 'socialsbuttons'); ?></th>
                    <td>
                       <input type="checkbox" name="ib_vkontakte_state" <?php if($wp_socbut['ib_vkontakte_state']==1) echo "checked='checked'"?> value="1"/>
                    </td>
                </tr>
                <tr valign="top" >  
                    <th scope="row"><?php _e('Vkontakte accaunt', 'socialsbuttons'); ?></th>
                    <td>
                        <input type="text" name="vkontakte_accaunt" value="<?=$wp_socbut['vkontakte_accaunt']?>" size="80" />  (example: id25345524 or garmash_nikolay)
                    </td>
                </tr>
                
                <tr valign="top" >  
                    <th scope="row"><?php _e('Facebook', 'socialsbuttons'); ?></th>
                    <td>
                       <input type="checkbox" name="ib_facebook_state" <?php if($wp_socbut['ib_facebook_state']==1) echo "checked='checked'"?> value="1"/>
                    </td>
                </tr>
                <tr valign="top" >  
                    <th scope="row"><?php _e('Facebook accaunt', 'socialsbuttons'); ?></th>
                    <td>
                        <input type="text" name="facebook_accaunt" value="<?=$wp_socbut['facebook_accaunt']?>" size="80" />  (example: 143843582989530)
                    </td>
                </tr>
                
                <tr valign="top" >  
                    <th scope="row"><?php _e('Google Buzz', 'socialsbuttons'); ?></th>
                    <td>
                       <input type="checkbox" name="ib_buzz_state" <?php if($wp_socbut['ib_buzz_state']==1) echo "checked='checked'"?> value="1"/>
                    </td>
                </tr>
                <tr valign="top" >  
                    <th scope="row"><?php _e('Google Buzz accaunt', 'socialsbuttons'); ?></th>
                    <td>
                        <input type="text" name="buzz_accaunt" value="<?=$wp_socbut['buzz_accaunt']?>" size="80" />  (example: 143843582989530)
                    </td>
                </tr>
                
                <tr valign="top" >  
                    <th scope="row"><?php _e('FriendFeed', 'socialsbuttons'); ?></th>
                    <td>
                       <input type="checkbox" name="ib_friendfeed_state" <?php if($wp_socbut['ib_friendfeed_state']==1) echo "checked='checked'"?> value="1"/>
                    </td>
                </tr>
                <tr valign="top" >  
                    <th scope="row"><?php _e('FriendFeed accaunt', 'socialsbuttons'); ?></th>
                    <td>
                        <input type="text" name="friendfeed_accaunt" value="<?=$wp_socbut['friendfeed_accaunt']?>" size="80" />  (example: snater)
                    </td>
                </tr>
                
                <tr valign="top" >  
                    <th scope="row"><?php _e('LiveJournal', 'socialsbuttons'); ?></th>
                    <td>
                       <input type="checkbox" name="ib_livejournal_state" <?php if($wp_socbut['ib_livejournal_state']==1) echo "checked='checked'"?> value="1"/>
                    </td>
                </tr>
                <tr valign="top" >  
                    <th scope="row"><?php _e('LiveJournal accaunt', 'socialsbuttons'); ?></th>
                    <td>
                        <input type="text" name="livejournal_accaunt" value="<?=$wp_socbut['livejournal_accaunt']?>" size="80" />  (example: snater)
                    </td>
                </tr>
                
                <tr valign="top" >  
                    <th scope="row"><?php _e('Moy Mir', 'socialsbuttons'); ?></th>
                    <td>
                       <input type="checkbox" name="ib_moymir_state" <?php if($wp_socbut['ib_moymir_state']==1) echo "checked='checked'"?> value="1"/>
                    </td>
                </tr>
                <tr valign="top" >  
                    <th scope="row"><?php _e('Moy Mir accaunt', 'socialsbuttons'); ?></th>
                    <td>
                        <input type="text" name="moymir_accaunt" value="<?=$wp_socbut['moymir_accaunt']?>" size="80" />  (example: snater)
                    </td>
                </tr>
                
                
                <tr valign="top">
                    <th scope="row"><?php _e('Images Style', 'socialsbuttons'); ?></th>
                    <td>
                        <input type="radio" name="ib_button_style" value="mini" <? if($wp_socbut['ib_style']=='mini') echo "checked='checked'";?> />
                        <img src="<?=$wp_socbut['twitter_img_mini']?>" width="30" height="30" />

                        <input type="radio" name="ib_button_style" value="full" <? if($wp_socbut['ib_style']=='full') echo "checked='checked'";?> />
                        <img src="<?=$wp_socbut['twitter_img_full']?>" width="60" height="20" /> 
                    </td>
                </tr>

                <tr valign="top" >  
                    <th scope="row"><?php _e('Images Size', 'socialsbuttons'); ?></th>
                    <td>
                        <input type="radio" name="ib_button_size" value="1" <?if($wp_socbut['ib_size']=='1') echo "checked='checked'"?> />
                        <img src="<?=$wp_socbut['twitter_img_mini']?>" width="20" height="20" />
                        <img src="<?=$wp_socbut['twitter_img_full']?>" width="70" height="20" />
                        <h5></h5> 
                        <input type="radio" name="ib_button_size" value="2" <?if($wp_socbut['ib_size']=='2') echo "checked='checked'"?> />
                        <img src="<?=$wp_socbut['twitter_img_mini']?>" width="25" height="25" />
                        <img src="<?=$wp_socbut['twitter_img_full']?>" width="80" height="21" />
                        <h5></h5> 
                        <input type="radio" name="ib_button_size" value="3" <?if($wp_socbut['ib_size']=='3') echo "checked='checked'"?> />
                        <img src="<?=$wp_socbut['twitter_img_mini']?>" width="30" height="30" />
                        <img src="<?=$wp_socbut['twitter_img_full']?>" width="85" height="22" />
                        <h5></h5> 
                        <input type="radio" name="ib_button_size" value="4" <?if($wp_socbut['ib_size']=='4') echo "checked='checked'"?> />
                        <img src="<?=$wp_socbut['twitter_img_mini']?>" width="40" height="40" />
                        <img src="<?=$wp_socbut['twitter_img_full']?>" width="110" height="29" />
                        <h5></h5> 
                        <input type="radio" name="ib_button_size" value="5" <?if($wp_socbut['ib_size']=='5') echo "checked='checked'"?> />
                        <img src="<?=$wp_socbut['twitter_img_mini']?>" width="50" height="50" />
                        <img src="<?=$wp_socbut['twitter_img_full']?>" width="140" height="40" />
                    </td>
                </tr> 
           </table>
            

            <input type="hidden" name="action" value="update" />

            <input type="hidden" name="page_options" value="ljusers_userinfo,ljusers_community" />

            <p class="submit">
            <input type="submit" name="submit" value="<?php _e('Save Changes') ?>" />
            </p>
        </form>
    </div>
    
    <?php
    }
}

$social_buttons = new socialsbuttons();

?>
